<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ecard/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ecard/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ecard/locale/English.php";
}
opentable("Tilfj Nyheder");

//session_start();
include_once('../inc/adodb/adodb.inc.php');	   # load code common to ADOdb
include_once('../ecard_config.php');
include_once('../inc/UIfunctions.php');
//include_once('loginfunction.php');
include_once('../inc/smileyClass.php');
include_once('../inc/htmlarea_js.php');

$page = new pagebuilder('../', 'admin.php');
include_once('../inc/setLang.php');
$smileyClass = new smileyClass("../images/siteImages/smilies/");

//checkUser('admin');

if (isset($_GET['newsid'])) $newsid = $_GET['newsid']; else $newsid = false;
$action = $_GET['action'];

if ($newsid)
{
	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
	$conn = &ADONewConnection('mysql');	# create a connection
	$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);
	
	$getNewsSQL = "SELECT * from ".$tablePrefix."news WHERE newsid=$newsid";
	$newsRecordSet = &$conn->Execute($getNewsSQL);
	$username = $newsRecordSet->fields['username'];
	$newssubject = $newsRecordSet->fields['subject'];
	$body = $newsRecordSet->fields['body'];
	$postdate = date("F j, Y g:i a", $newsRecordSet->fields['postdate']);
	$conn->Close(); # optional
}

$page->headervalues = getHTMLareaJStop('myForm', 'body', '../');
$page->showHeader($nav05);
?>

<table align="center" cellpadding="10">
	<form action="news.php" method="post" name="myForm">
	<?
		if ($action == 'new')
		{
		?><input type="hidden" name="action" value="add"><?
		}
		if ($action == 'old')
		{
		?><input type="hidden" name="action" value="edit"><input type="hidden" name="newsid" value="<? echo $newsid;?>"><?
		}
	?>
	
	<tr>
		<td colspan="2" class="bold"><? echo "$action02 $news05";?><br><? $page->drawLine();?></td>
	</tr>
	<tr>
		<td><? echo $news06;?>:</td>
		<td><input type="text" name="newssubject" value="<? showVar('newssubject'); ?>" size="80"></td>
	</tr>
	<tr>
		<td colspan="2">
			<textarea cols="50" rows="8" name="body" wrap="virtual"><? showVar('body'); ?></textarea>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<? $smileyClass->showSmileys('body'); ?>
		</td>
	</tr>	
	<tr>
		<td colspan="2">
			<input type="submit" value="<? echo $action02;?>">
		</td>
	</tr>			
	</form>
</table>		

<?
print getHTMLareaJSbot('body');

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>