<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ecard/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ecard/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ecard/locale/English.php";
}
opentable("Kort - Vedligeholdelse");

//session_start();
//include_once('loginfunction.php');
include_once('../inc/UIfunctions.php');
include_once('../ecard_config.php');
include_once('../inc/formFunctions.php');
include_once('../inc/pager.php');

$page = new pagebuilder('../', 'admin.php');
include_once('../inc/setLang.php');
//checkUser();

//$page->showHeader($nav05);

include_once('../inc/adodb/adodb.inc.php');	   # load code common to ADOdb

$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$conn = &ADONewConnection('mysql');	# create a connection
$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);

if (isset($_POST['action']))	$action = $_POST['action'];
if (isset($_POST['imageid']))	$imageid = (int)$_POST['imageid'];
if (isset($_GET['imageid']))	$imageid = (int)$_GET['imageid'];
if (isset($_POST['catid']))		$catid = (int)$_POST['catid'];
if (isset($_GET['catid']))		$catid = (int)$_GET['catid'];
if (isset($_GET['limit']))		$limit = (int)$_GET['limit'];
if (isset($_POST['limit']))		$limit = (int)$_POST['limit'];
if (isset($_GET['row']))		$row = (int)$_GET['row'];
if (isset($_GET['catSearch']))	$catSearch = (int)$_GET['catSearch']; else $catSearch = false;
if (isset($_POST['cardname']))	$cardname = checkAddSlashes($_POST['cardname']);
if (!isset($row)) $row = 0;
if (!isset($limit)) $limit = 20;

if (isset($_GET['action']) && $_GET['action'] == 'delete')
{
	$cardInfoSQL = "SELECT imagepath, thumbpath FROM ".$tablePrefix."cardinfo WHERE imageid=$imageid";
	$deleteInfo = $conn->GetRow($cardInfoSQL);
	$deleteimagepath = "../images/".$deleteInfo['imagepath'];
	$deletethumbpath = "../images/".$deleteInfo['thumbpath'];
	$deletesql = "DELETE from ".$tablePrefix."cardinfo WHERE imageid=$imageid";
	if ($conn->Execute($deletesql))
		{
			echo "$cards04 $admin09<br>";
			if (unlink($deleteimagepath))
				echo "$cards01 $admin10<br>";
			else
				echo "<span class='error'>$cards01 $admin11 $admin10</span><br>";
			if (unlink($deletethumbpath))
				echo "$cards02 $admin10<br>";
			else
				echo "<span class='error'>$cards02 $admin11 $admin10</span><br>";
				
		}
	else
		echo "<span class='error'>$cards04 $admin11 $admin09</span><br>"; 
}

if (isset($_POST['action']) && $_POST['action'] == 'edit')
{
	$editsql = "UPDATE ".$tablePrefix."cardinfo set cardname='$cardname', catid=$catid WHERE imageid=$imageid";
	if ($conn->Execute($editsql))
		echo "$cards04 $admin12<br>";
	else
		echo "<span class='error'>$cards04 $admin11 $admin12</span><br>";
}

$sqlstmt = 'select category, catid from '.$tablePrefix.'categories'; // for getMenu2 function below
$recordSet = &$conn->Execute("$sqlstmt" );
?>

<table width="100%">
	<tr>
		<td width="170" align="left" valign="top">
			<? include('../inc/getcategories.php');  // show the eCard Categories ?>
		</td>
		<td width="729">
		
<table width="100%">
	<tr>
		<td colspan="2" class="small"><? echo "$admin15 $cards04";?></th>
	</tr>
	<form enctype="multipart/form-data" action="upload.php" method="post">
	<input type="hidden" name="MAX_FILE_SIZE" value="<? echo ($maxFileSize * 1000);?>">
	<tr>
		<td><? echo $cards05;?>:</td>
		<td><input type="text" name="cardname"></td>
	</tr>
	<tr>
		<td><? echo $cat01;?>:</td>
		<td><? print $recordSet->GetMenu2('catid', "$catSearch"); ?></td>
	</tr>
	<tr>
		<td><? echo "$admin16 $cards01";?>:</td>
		<td><input type="file" name="userfile"></td>
	</tr>
	<tr>
		<td><? echo "$admin16 $cards02";?>:<br><span class="smalltext"><? echo $cards06;?></span></td>
		<td><input type="file" name="userthumb"></td>
	</tr>
	<tr>
		<td colspan="2" align="right"><input type="submit" value="<? echo $admin16;?>"><br><br></td>
	</tr>
	</form>
</table>

<?
$page->drawLine();
$rowsInTableSQL = "SELECT COUNT(*) from ".$tablePrefix."cardinfo";
if ($catSearch) $rowsInTableSQL .= " where catid = '$catSearch'";
if (!$catSearch) $cardsql = "SELECT ".$tablePrefix."cardinfo.imageid, ".$tablePrefix."cardinfo.cardname, ".$tablePrefix."categories.category, ".$tablePrefix."cardinfo.imagepath, ".$tablePrefix."cardinfo.thumbpath, ".$tablePrefix."cardinfo.senttimes from ".$tablePrefix."cardinfo LEFT JOIN ".$tablePrefix."categories ON ".$tablePrefix."cardinfo.catid=".$tablePrefix."categories.catid order by ".$tablePrefix."cardinfo.imageid";
else $cardsql = "SELECT ".$tablePrefix."cardinfo.imageid, ".$tablePrefix."cardinfo.cardname, ".$tablePrefix."categories.category, ".$tablePrefix."cardinfo.imagepath, ".$tablePrefix."cardinfo.thumbpath, ".$tablePrefix."cardinfo.senttimes from ".$tablePrefix."cardinfo, ".$tablePrefix."categories WHERE ".$tablePrefix."cardinfo.catid=".$tablePrefix."categories.catid AND ".$tablePrefix."cardinfo.catid=$catSearch order by ".$tablePrefix."cardinfo.imageid";

$pager = new pager($conn, $row, $limit, $rowsInTableSQL);
$cardRecordSet = $pager->getrecords($conn, $cardsql);	

if (!$cardRecordSet)
		echo "No eCards in Database";
else
{
	?>
<br>
</td>
	</tr>
</table>
<table width="100%" class="small" cellspacing="2" cellpadding="2">
	<tr>
		<th><center><? echo $admin08;?></center></th><th><center><? echo $cards05;?></center></th><th><center><? echo $cat01;?></center></th><th><center><? echo $cards01;?></center></th><th><center><? echo $cards03;?></th><th><center><? echo $action01;?></center></th>
	</tr>
	<?
while (!$cardRecordSet->EOF) 
			{
				$imageid = $cardRecordSet->fields['imageid'];
				$cardname = $cardRecordSet->fields['cardname'];
				$category = $cardRecordSet->fields['category'];
				$imagepath = $cardRecordSet->fields['imagepath'];
				$senttimes = $cardRecordSet->fields['senttimes'];
				echo "\n\t<tr>\n\t\t<td>$imageid</td><td>$cardname</td><td>$category</td><td>$imagepath</td><td>$senttimes</td><td><a href=\"editCard.php?imageid=$imageid\">$action03</a></td><td><a href=\"".$_SERVER['PHP_SELF']."?imageid=$imageid&action=delete&catSearch=$catSearch&limit=$limit&row=$row\">$action04</a></td>\n\t</tr>";
				$cardRecordSet->MoveNext();
			}
?>

</table>
<table>
<tr><td align="center">&nbsp;</td>
</tr><tr><td align="center">
<?	$pager->showpagernav($nav01, $nav02, "&catSearch=$catSearch&limit=$limit"); ?>
</td>
</tr>
	<tr>
		<form action="<? echo $_SERVER['PHP_SELF']; ?>" method="POST">
		<input type="hidden" name="catSearch" value="<? echo $catSearch;?>">
		<td align="center">
			<? echo $nav04;?>
			<select name="limit" id="limit" onChange="submit()">
				<option value="5" <? if ($limit == 5) echo 'selected'?>>5</option>
				<option value="10" <? if ($limit == 10) echo 'selected'?>>10</option>
				<option value="15" <? if ($limit == 15) echo 'selected'?>>15</option>
				<option value="20" <? if ($limit == 20) echo 'selected'?>>20</option>
				<option value="25" <? if ($limit == 25) echo 'selected'?>>25</option>
				<option value="50" <? if ($limit == 50) echo 'selected'?>>50</option>
			</select>
		  <? echo $nav10;?>		</td>
		</form>
	</tr>
</table>
<div align="center"><br>
&lt;&lt;  <a href="admin.php" target="_self">Admin</a> &gt;&gt; <br>
</div>
<?
}

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>