<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ecard/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ecard/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ecard/locale/English.php";
}
opentable("Postkort/eCard statistik");
session_start();
include_once('../ecard_config.php');
//include_once('loginfunction.php');
include_once('../inc/UIfunctions.php');
$page = new pagebuilder('../', 'admin.php');
include_once('../inc/setLang.php');

//checkUser();
//$page->headervalues = '<script language="JavaScript" src="../css/imagepopup.js"></script>';
//$page->showHeader($nav05);

include_once('../inc/adodb/adodb.inc.php');

$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
$conn = &ADONewConnection('mysql');
$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);

?>
<div align="center">
<!-- General Statistics -->
<script language="JavaScript" src="../css/imagepopup.js"></script>
<table width="70%">
	<tr>
		<td colspan="2" class="subtitle"><? echo $stat01;?></th>
	</tr>
<!-- Total Cards Sent -->	
	<tr>
		<td width="170"><? echo $stat04;?></td>
		<td valign="top">
<?
	$sql = 'SELECT sum(senttimes) from '.$tablePrefix.'cardinfo';
	echo "\t\t\t".getStat($conn, $sql);
?>		
		</td>
	</tr>
<!-- Cards Sent this Week -->	
	<tr>
		<td width="170"><? echo $stat05;?></td>
		<td valign="top">
<?
	$sql = 'SELECT count(*) from '.$tablePrefix.'sentcards where cardid >'.(time() - (7*24*60*60));
	echo "\t\t\t".getStat($conn, $sql);
?>		
		</td>
	</tr>
<!-- Unique Hits - Index.php -->
	<tr>
		<td><? echo $stat06;?></td>
		<td valign="top">
<?
	echo "\t\t\t";
	if ($stats_unique_index_hits_enabled)
	{
		$sql = "SELECT statval from ".$tablePrefix."statistics where stat='userhits'";
		echo getStat($conn, $sql);
	}
	else echo $stat10;

?>			
		</td>
	</tr>
<!-- Hits - getcard.php -->
	<tr>
		<td><? echo $stat07;?></td>
		<td valign="top">
<?
	echo "\t\t\t";
	if ($stats_pickupcard_hits_enabled)
	{
		$sql = "SELECT statval from ".$tablePrefix."statistics where stat='pickuphits'";
		echo getStat($conn, $sql);
	}
	else echo $stat10;

?>			
		</td>
	</tr>	
<!-- Number of Cards -->	
	<tr>
		<td><? echo $stat08;?></td>
		<td valign="top">
<?
	$sql = 'SELECT count(*) from '.$tablePrefix.'cardinfo';
	echo "\t\t\t".getStat($conn, $sql);
?>		
		</td>
	</tr>
<!-- Number of Categories -->	
	<tr>
		<td><? echo $stat09;?></td>
		<td valign="top">
<?
	$sql = 'SELECT count(*) from '.$tablePrefix.'categories';
	echo "\t\t\t".getStat($conn, $sql);
?>		
		</td>
	</tr>	

	
</table>

<br>

<table width="70%">
	<tr>
		<td valign="top" width="50%">
			<!-- Most Popular Cards -->
			<table>
				<tr>
					<td colspan="2" class="subtitle"><? echo $stat02;?></th>
				</tr>
			<?
				$i=1;
				$sql = 'SELECT imageid, cardname, senttimes, imagepath FROM '.$tablePrefix.'cardinfo order by senttimes DESC';
				$recordSet = $conn->SelectLimit($sql,10,0);
				while (!$recordSet->EOF) 
				{
			?>
				<tr>
					<td><? echo $i;?>.</td>
					<td width="100%"><a href='#' onClick="popup('../images/<? echo $recordSet->fields['imagepath'];?>')" ><? echo $recordSet->fields['cardname'];?></a> (<? echo $recordSet->fields['senttimes'];?>)</td>
				</tr>
			<?
					$i++;
					$recordSet->MoveNext();
				}
				$recordSet->Close();
				unset($sql, $recordSet);
			?>
			</table>
		</td>
		<td valign="top"  width="50%">
			<!-- Most Popular Categories by Cards Sent -->
			<table>
				<tr>
					<td colspan="2" class="subtitle"><? echo $stat03;?></th>
				</tr>
			<?
				$i=1;
				$sql = 'SELECT category, sum(senttimes) as total FROM '.$tablePrefix.'cardinfo, '.$tablePrefix.'categories WHERE '.$tablePrefix.'cardinfo.catid = '.$tablePrefix.'categories.catid group by '.$tablePrefix.'categories.catid order by total DESC';
				$recordSet = $conn->SelectLimit($sql,10,0);
				while (!$recordSet->EOF) 
				{
			?>
				<tr>
					<td><? echo $i;?>.</td>
					<td width="100%"><? echo $recordSet->fields['category'];?> (<? echo $recordSet->fields['total'];?>)</td>
				</tr>
			<?
					$i++;
					$recordSet->MoveNext();
				}
				$recordSet->Close();
				unset($sql, $recordSet);
			?>
			</table>
		</td>
	</tr>
</table>

<br>
&lt;&lt;  <a href="admin.php" target="_self">Admin</a> &gt;&gt; <br>
</div>

<?
function getStat(&$conn, $sql)
{
	$answer = $conn->GetOne($sql);
	return $answer;
}

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>