<?
/*
*********************************************
*   eCard Application Info                  *
*********************************************
*/

$sitePath = "".$settings['siteurl']."infusions/ecard"; // needed to create url for eCard pickup.  Please leave off trailing slash.
$siteName = "Postkort fra DIN SIDE"; // name shown in upper left corner of site and in emails
$siteEmail = "".$settings['siteemail']."";  // 'From' email address shown in notification email
$deleteDays = 14;  // Delete sent cards after this number of days.  Set to 0 to not delete cards
$showLoginLink = 'no'; // Whether or not to show the 'login' link in the upper right.  Valid options are 'yes' and 'no'.  Access this page at login.php if you have link disabled

/*
*********************************************
*   Database Properties                     *
*********************************************
*/

$dbhost = "$db_host";		// database host
$dbuser = "$db_user";		// database user name
$dbpass = "$db_pass";		// database user password
$dbdatabase = "$db_name";	// navnet p din tabel
$tablePrefix = "".$db_prefix."ecard_";	// ndres kun hvis din prefix ikke hedder fusion EKS : xxx_ecard_

/*
*********************************************
*   Card Display Options                    *
*********************************************
*/

$cardsPerRow = 2;  // number of cards shown per row on the index.php page
$rowsPerPage = 5;  // number of rows of cards per page on the index.php page
$orderPop = 'yes';  // whether or not to show the most popular cards (those sent most) first.  Takes precedence over the $order option below.
$order = 'ASC';		// 'ASC' or 'DESC' - set DESC to show most recently added cards first
$dropShadow = 'yes'; // whether to show cards with a drop shadow or a white background.  'yes' for drop shadow, any other value for white background
$stampImage = 'classic.gif';  // stamp image to show when dropShadow = 'yes'. Use one of the included ones or create your own.

/*
*********************************************
*   Email Text                              *
*********************************************
*/
$subject = '$from_name har sendt et postkort til dig!';  // subject of email sent when a person receives an eCard - $from_name gets replaced with the senders name
$message =	'$from_name har sendt dig et postkort!\r\nDu kan se det p flgende adresse:\r\n\r\n$sitePath/getcard.php?cardid=$cardid';  // the message sent to someone who receives an eCard.  

/*
*********************************************
*   Card Options                              *
*********************************************
*/

$imageLibrary = 'GD'; // Choose GD or GD2 - use GD2 if it is available
$maxFileSize = 250; // Maximum image size allowed in upload (measured in KiloBytes)
$resize_height = 100; // Height of generated thumbnails
$imagequality = 95; // Quality of thumbnails.  Range 0-100

/*
*********************************************
*   News Options                            *
*********************************************
*/

$enableNews = 'no';  		// whether or not to show 'news' on index.php
$newsLocation = 'bottom';	// whether news shows up on the 'right' or the 'bottom' of index.php
$newsTitle = 'Nyheder'; 	// title for news section
$newsLimit = 2;			// number of news stories to show on index.php
$summaryLength = 350;		// number of characters to show for each news item on index.php - news items with more characters will have a link to another page
$dateFormat ="F j, Y g:i a";// date format for news - see the following url for date format values: http://www.php.net/manual/en/function.date.php

/*
*********************************************
*   Statistics                              *
*********************************************
*/

$stats_unique_index_hits_enabled = true;// track number of users who come to the index.php page (1 per browser session)
$stats_pickupcard_hits_enabled = true;	// track number of cards that are picked up (getcard.php)


/*
*********************************************
*   Language Options                        *
*********************************************
*/
$defaultLang = 'da';
$lang['da'] = array (
						'file' => "language_da.php",
						'desc' => "Dansk",
						'flag' => "da.gif",
					);

					
/*
*******************************************************
***  Example of adding another language file - add  ***
***  file to inc/lang directory, add image to       ***
***  images/SiteImages/flags directory              ***
*******************************************************
*$lang['en'] = array (
*						'file' => "language_en.php",
*						'desc' => "English",
*						'flag' => "en.gif",
*					);					
********************************************************
*/

$eCardVersion = '6.00.105';		// please don't change this
?>
