<?

// pager class requires use of ADODB
class pager
{
	var $row;
	var $pages;
	var $currentpage;
	var $limit;
	var $numrows;
	var $first;
	var $last;
	function pager($conn, $row, $limit=10, $getNumRowsSQL)
	{
		if (!isset($row)) $row = 0;
		$this->row = $row;
		$this->limit = $limit;
		$this->numrows = $conn->GetOne($getNumRowsSQL);
		if (($this->numrows % $this->limit) == 0) $this->pages = ($this->numrows/$this->limit);
		else $this->pages = intval($this->numrows/$this->limit) + 1;
		$this->currentpage = ($this->row/$this->limit) + 1;
		$this->first = ($this->row + 1);
		if (($this->row + $this->limit) >= $this->numrows) $this->last = $this->numrows; else $this->last = ($this->row + $this->limit);
	}
	function getrecords($conn, $sql, $array=false)
	{
		$recordSet = &$conn->SelectLimit($sql,$this->limit,$this->row);
		if (!$array) return $recordSet;
		return $recordSet->getArray(); 
	}
	function showpagernav($backtext = 'Back', $nexttext = 'Next', $otherargs='')
	{
		if ($this->pages > 1)
		{
			echo '<table>';
			// Back Link
			echo '<td width="30">';
			if ($this->row != 0) 
			{
				$backPage = $this->row - $this->limit;  
				echo "<a href=\"".$_SERVER['PHP_SELF']."?row=".$backPage.$otherargs."\">$backtext</a>\n";
			}
			else echo '&nbsp;';
			echo '</td>';
			// Pages Links
			echo '<td>';
			for ($i=1; $i <= $this->pages; $i++) 
			{  
				$ppage = $this->limit*($i - 1);
				if ($ppage == $this->row)
				{
					echo "<b>$i</b>&nbsp;&nbsp; \n";
				}
				else 
				{
					echo "<a href=\"".$_SERVER['PHP_SELF']."?row=".$ppage.$otherargs."\">$i</a>&nbsp;&nbsp; \n";
				}
			}
			echo '</td>';
			// Next Link
			if ($this->currentpage < $this->pages) 
			{ 
				$nextPage = $this->row + $this->limit;
				echo "<td><a href=\"".$_SERVER['PHP_SELF']."?row=".$nextPage.$otherargs."\">$nexttext</a></td>\n";
			}
			echo '</table>';
		}
		else echo "&nbsp;";
	}	
}
?>