<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."ecard/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."ecard/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."ecard/locale/English.php";
}
opentable("Tilfj ny musikfil");

//session_start();
//include_once('loginfunction.php');
include_once('../inc/UIfunctions.php');
include_once('../ecard_config.php');
$page = new pagebuilder('../', 'admin.php');
include_once('../inc/setLang.php');
//checkUser();
//$page->showHeader($nav05);

if (!isset($_POST['action']))
{
	?>
	<table cellspacing="2" cellpadding="2">
		<form enctype="multipart/form-data" action="addmusic.php" method="post">
		<input type="hidden" name="action" value="addMusic">
		<tr>
			<td class="subtitle" colspan="2"><? echo $music02;?></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr>
			<td><? echo $music04;?>:</td>
			<td><input type="text" name="mname" maxlength="40"></td>
		</tr>
		<tr>
			<td><? echo $music06;?></td>
			<td><input type="file" name="userfile"></td>
		</tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr>
			<td colspan="2" align="right"><input type="submit" value="<? echo $admin16;?>"></td>
		</tr>
		</form>
	</table>
	<?
	exit;
}
elseif ($_POST['action'] == 'addMusic')
{
	if (empty($_POST['mname']) || !is_uploaded_file($_FILES['userfile']['tmp_name']))
	{
		echo $sendcard01;
	}
	$mpath = time().str_replace(" ", "_", $_FILES['userfile']['name']);
	$musicpath = '../sound/'.$mpath;
	$mname = $_POST['mname'];
	
	if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $musicpath)) 
	{
		echo "<span class='error'>$upload02 $nav11</span>";
		exit;
	}
	
	include_once('../inc/adodb/adodb.inc.php');
	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
	$conn = &ADONewConnection('mysql');
	$conn->Connect($dbhost,$dbuser,$dbpass,$dbdatabase);
	
	$insertSQL = "INSERT INTO ".$tablePrefix."music (mname, mpath) VALUES ('$mname', '$mpath')";
	if ($conn->Execute($insertSQL))
	{
	?>
		<span class="subtitle"><? echo $music02;?></span>
		<br><br>
		<? echo $music07;?>
		<br><br>
		<a href="music.php">[ <? echo $admin19;?> ]</a>
		<br><br>
	<?
	}
	exit;
}	

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>