<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

$inf_title = "eCard";
$inf_description = "Send Et Postkort";
$inf_version = "6.00.106";
$inf_developer = "Greg Neustaetter";
$inf_email = "info@gregphoto.net";
$inf_weburl = "http://www.gregphoto.net/gcards/index.php";

$inf_folder = "ecard"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "admin/admin.php"; // The admin panel filename if required.

$inf_link_name = "eCard"; // if not required replace $locale['xxx102']; with "";
$inf_link_url = "index.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 6; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "ecard_cardinfo (
  imageid int(11) NOT NULL auto_increment,
  cardname varchar(40) NOT NULL default '',
  catid int(11) default NULL,
  imagepath varchar(40) NOT NULL default '',
  thumbpath varchar(40) NOT NULL default '',
  senttimes int(11) NOT NULL default '0',
  PRIMARY KEY  (imageid)
) TYPE=MyISAM AUTO_INCREMENT=1;";

$inf_newtable_[2] = "ecard_categories (
  catid int(11) NOT NULL auto_increment,
  category varchar(60) NOT NULL default '',
  PRIMARY KEY  (catid)
) TYPE=MyISAM AUTO_INCREMENT=1;";

$inf_newtable_[3] = "ecard_music (
  mid tinyint(4) NOT NULL auto_increment,
  mname varchar(40) NOT NULL default '',
  mpath varchar(60) NOT NULL default '',
  PRIMARY KEY  (mid)
) TYPE=MyISAM AUTO_INCREMENT=1;";

$inf_newtable_[4] = "ecard_news (
  newsid int(11) NOT NULL auto_increment,
  username varchar(30) NOT NULL default '',
  subject varchar(200) NOT NULL default '',
  body text NOT NULL,
  postdate int(20) default NULL,
  PRIMARY KEY  (newsid)
) TYPE=MyISAM AUTO_INCREMENT=1;";

$inf_newtable_[5] = "ecard_sentcards (
  cardid int(11) NOT NULL default '0',
  imageid int(11) NOT NULL default '0',
  to_name varchar(60) default NULL,
  to_email text NOT NULL,
  from_name varchar(60) default NULL,
  from_email varchar(60) NOT NULL default '',
  cardtext mediumtext,
  sendonpickup varchar(10) default NULL,
  music varchar(60) default NULL,
  PRIMARY KEY  (cardid)
) TYPE=MyISAM;";

$inf_newtable_[6] = "ecard_statistics (
  stat varchar(60) NOT NULL default '',
  statval int(11) NOT NULL default '0',
  PRIMARY KEY  (stat)
) TYPE=MyISAM;";

?>